useCSS(true);
console.log('_meizu_template_value: ' + _meizu_template_value);
var flymeLayout = [];
flymeLayout[6] = 'flyme-6-layout';
flymeLayout[7] = 'flyme-7-layout';
var maxWidth;
var observer = new MutationObserver(function(mutations){
    mutations.forEach(function(mutation){
        setImageSize(mutation.target);
    });
});
function setImageSize(element){
    console.log('set image size');
    var oWidth = +element.style.width.replace(/px/, '');
    var oHeight = +element.style.height.replace(/px/, '');
    var tWidth = oWidth;
    var tHeight = oHeight;
    if(oWidth > maxWidth){
        tWidth = maxWidth;
        tHeight = tWidth * (oHeight/oWidth);
    }
    if(oWidth === tWidth){
        return;
    }
    element.style.width = tWidth + 'px';
    element.style.height = tHeight + 'px';
    // console.log('o width: ' + oWidth);
    // console.log('o height: ' + oHeight);
    // console.log('t width: ' + tWidth);
    // console.log('t height: ' + tHeight);
    if(element.classList.contains('observing') === false){
        element.classList.add('observing');
        observer.observe(element, {attributes: true, attributeFilter: ['style']});
    }
}
function setLayout(version){
    version = +version;
    console.log('layout version: ' + version);
    for(var i = 0; i < flymeLayout.length; i++){
        var layoutClassName = flymeLayout[i];
        if(!layoutClassName){
            continue;
        }
        if(i === version){
            document.body.classList.add(layoutClassName);
            continue;
        }
        document.body.classList.remove(layoutClassName);
    }
    // special
    var imgWrappers = document.querySelectorAll('.imedia-article>.a-image');
    if(version === 6){
        [].forEach.call(imgWrappers, function(imgWrapper){
            maxWidth = 328;
            setImageSize(imgWrapper);
        });
        // console.log(imgWrappers);
    }
    if(version === 7){
        [].forEach.call(imgWrappers, function(imgWrapper){
            maxWidth = 360;
            setImageSize(imgWrapper);
        });
    }
}
document.addEventListener('DOMContentLoaded', function(){
    // get version
    // var styleReg = /article_style=([0-9]*)/;
    // if(styleReg.test(window.location.href)){
    //     console.log('found style version.');
    //     var styleMatch = window.location.href.match(styleReg);
    //     var styleVersion = styleMatch[1];
    //     console.log('match style: ' + styleVersion);
    //     if(styleVersion){
    //         var version = +styleVersion;
    //         console.log('set style version: ' + version);
    //         if(version === 0){
    //             setLayout(6);
    //         }else{
    //             setLayout(7);
    //         }
    //     }
    // }
    // set viewed count
    var countReg = /meizu_views=([0-9]*)/;
    console.log('href: ' + window.location.href);
    if(countReg.test(window.location.href)){
        console.log('found view count.');
        var countMatch = window.location.href.match(countReg);
        var viewCount = countMatch[1];
        console.log('match view count: ', countMatch);
        if(viewCount){
            console.log('view count: ', viewCount);
            viewCount = +viewCount;
            if(!viewCount){
                console.log('zero view count, not shown.');
                return;
            }
            console.log('add view count dom');
            var viewCountEl = document.createElement('div');
            viewCountEl.classList.add('imedia-p');
            var viewCountContentEl = document.createElement('div');
            viewCountContentEl.classList.add('view-count');
            viewCountContentEl.textContent = '浏览 ' + viewCount;
            viewCountEl.appendChild(viewCountContentEl);
            document.querySelector('.container .meta').appendChild(viewCountEl);
        }
    }
});

