useCSS(true);
// constants
var LOAD_SUFFIX = 'mz-force-load=true';
var OBSERVING_CLASS = 'mz-observing';
var NO_AUTO_LOAD_CLASS = 'mz-no-auto-load';
var LOADED_CLASS = 'mz-loaded';
var isDOMLoaded = false;
var isNoImageMode = _meizu_template_value;
// global
var urlList = []; // src[]
var imgWrappers = []; // element[]
// get img element wrapper
document.addEventListener('DOMContentLoaded', function(){
    imgWrappers = [].slice.call(document.querySelectorAll('.imedia-article>.a-image'));
    console.log('image wrappers: ', imgWrappers);
    if(isNoImageMode === true){
        console.log('set up image click event.');
        imgWrappers.forEach(function(imgWrapper){
            // console.log('add class: ' + NO_AUTO_LOAD_CLASS);
            imgWrapper.classList.add(NO_AUTO_LOAD_CLASS);
            imgWrapper.onclick = loadImage.bind(loadImage, imgWrapper);
        });
    }else{
        console.log('dom loaded. show all images.');
        imgWrappers.forEach(loadImage);
    }
});
// observer
var observeConfig = {childList: true};
var observer = new MutationObserver(function(mutations){
    console.log('observer mutation: ', mutations);
    mutations.forEach(function(mutation){
        loadImage(mutation.target);
    });
});
// load img src
function showImage(imgWrapper){
    if(imgWrapper.classList.contains(LOADED_CLASS)){
        console.error('image has been loaded. it show or not depend on network speed.');
        return;
    }
    var imgEl = imgWrapper.querySelector('img');
    console.log('show image');
    var src = imgEl.getAttribute('src');
    if(src.indexOf('?') !== -1){
        if(src.indexOf('&')){
            src += ('&' + LOAD_SUFFIX);
        }else{
            src += LOAD_SUFFIX;
        }
    }else{
        src += ('?' + LOAD_SUFFIX);
    }
    imgEl.setAttribute('src', src);
    urlList.push(src);
    imgWrapper.classList.remove(OBSERVING_CLASS);
    imgWrapper.classList.add(LOADED_CLASS);
    imgWrapper.onclick = viewImage.bind(viewImage, src);
}
// detect img is exist
function loadImage(imgWrapper){
    console.log('load image');
    var imgEl = imgWrapper.querySelector('img');
    imgWrapper.classList.remove(NO_AUTO_LOAD_CLASS);
    if(!imgEl){
        console.log('no img found');
        if(imgWrapper.classList.contains(OBSERVING_CLASS) === false){
            console.log('observing img wrapper');
            imgWrapper.classList.add(OBSERVING_CLASS);
            observer.observe(imgWrapper, observeConfig);
        }else{
            console.log('img wrapper has been observing');
            // do nothing
        }
    }else{
        console.log('img src: ' + imgEl.getAttribute('src'));
        showImage(imgWrapper);
    }
}
function viewImage(src){
    console.log('view image');
    if(!src){
        console.error('can not show empty src.');
        return;
    }
    var order = urlList.indexOf(src);
    window.Mz_LightWebView_Callback.showImageList(urlList, order);
}
function setNoImage(isNoImage){
    isNoImageMode = isNoImage;
    console.info('set no image mode: ' + isNoImage);
    if(isNoImageMode === false){
        console.log('show all image.');
        imgWrappers.forEach(loadImage);
    }
}