useCSS(true);
(function(){
    // constants
    var LOAD_SUFFIX = 'mz-force-load';
    var NO_IMAGE_CLASS = 'no-image';
    var FULL_VIEW_CLASS = 'full-view';
    var SHOWN_CLASS = 'shown';

    var preArg;
    window.setNoImage = function(arg){
        preArg = arg;
    };
    document.addEventListener('DOMContentLoaded', function(){
        // for view image function
        // load image
        [].forEach.call(document.querySelectorAll('p img'), function(imgEl){
            var src = imgEl.src;
            if(src.includes('mz-force-load=false')){
                src = src.replace('mz-force-load=false', 'mz-force-load=true');
            }else{
                if(src.includes('?')){
                    src += '&mz-force-load=true';
                }else{
                    src += '?mz-force-load=true';
                }
            }
            imgEl.setAttribute('data-src', src);
        });
        var showImage = function(wrapEl){
            var wrapEl = event.currentTarget
            var imgEl = wrapEl.querySelector('img');
            if(wrapEl.classList.contains(SHOWN_CLASS)){
                console.log('full view click');
                var realSrc = imgEl.getAttribute('data-src');
                var srcList = [];
                var allShownImgEls = document.getElementsByClassName(SHOWN_CLASS);
                [].forEach.call(allShownImgEls, function(eachWrap){
                    const eachImg = eachWrap.querySelector('img');
                    var eachDataSrc = eachImg.getAttribute('data-src');
                    srcList.push(eachDataSrc);
                });
                var order = srcList.indexOf(realSrc);
                window.Mz_LightWebView_Callback.showImageList(srcList, order);
            }else{
                var clickToViewEl = wrapEl.getElementsByTagName('span')[0];
                console.log('show image');
                wrapEl.classList.remove(NO_IMAGE_CLASS);
                wrapEl.classList.add(SHOWN_CLASS);
                wrapEl.removeChild(clickToViewEl);
                var realSrc = imgEl.getAttribute('data-src');
                imgEl.src = realSrc;
                imgEl.style.display = '';
                wrapEl.removeEventListener('click', showImage);
            }
        };
        window.setNoImage = function(isNoImage){
            console.log('is no image mode: ', isNoImage);
            [].forEach.call(document.querySelectorAll('p img'), function(imgEl){
                var wrap = imgEl.parentNode;
                if(isNoImage){
                    if(wrap.classList.contains(NO_IMAGE_CLASS)){
                        // it means this image has been set no image mode
                        // no need to set again.
                    }else if(wrap.classList.contains(SHOWN_CLASS)){
                        // it means this image has shown,
                        // it can not be reversed to no image mode.
                    }else{
                        var clickToViewEl = document.createElement('span');
                        clickToViewEl.textContent = '点击加载图片';
                        wrap.appendChild(clickToViewEl);
                        imgEl.style.display = 'none';
                        wrap.classList.add(NO_IMAGE_CLASS);
                    }
                }else{
                    if(wrap.classList.contains(NO_IMAGE_CLASS)){
                        console.log('revers to image visible');
                        wrap.click();
                    }else{
                        wrap.classList.add(SHOWN_CLASS);
                        // it can not be reversed no image mode, the image has been shown, do nothing.
                    }
                }
                wrap.onclick = showImage;
            });
        };
        if(preArg !== undefined){
            window.setNoImage(preArg);
        }
    });
})();