/**
* 通知页面切换字体大小
*
* index: 0-小，1-中，2-大，3-超大
*/
(function(){
    var preArg;
    window.setTextSize = function(arg){
        preArg = arg;
    };
    document.addEventListener('DOMContentLoaded', function(){
        window.setTextSize = function(index) {
            if(typeof index !== 'number'){
                console.log('parse text size argument to number type value.');
                index = parseInt(index);
            }
            if(isNaN(index)){
                throw new Error('text-size-index must be a number type, but got: ' + index + ', type of: ' + typeof index);
            }
            console.log('set text size index: ' + index);
            var titleEl = document.querySelector('h1.yl-title');
            var infoEl = document.querySelector('.yl-meta');
            var pEls = document.querySelectorAll('article>p');
            var titleSize = 24;
            var infoSize = 12;
            var pSize = 16;
            if (index == 0) { // 小
                titleSize = 20;
                infoSize = 8;
                pSize = 12;
            } else if (index == 2) { // 大
                titleSize = 30;
                infoSize = 16;
                pSize = 20;
            } else if (index == 3) { // 超大
                titleSize = 34;
                infoSize = 20;
                pSize = 24;
            }
            titleEl.style.fontSize = titleSize + 'px';
            infoEl.style.fontSize = infoSize + 'px';
            [].forEach.call(pEls, function(pEl){
                pEl.style.fontSize = pSize + 'px';
            });
        };
        if(preArg !== undefined){
            window.setTextSize(preArg);
        }
    });    
})();
